Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.relational
Class TupleXJoin

    java.lang.Object
      unity.relational.Tuple
          unity.relational.TupleXJoin

    public class TupleXJoin

extends Tuple

Constructor Summary
`TupleXJoin(java.lang.Object[] vals, Relation r, int TS)`
`TupleXJoin(Relation r)`
`TupleXJoin(Tuple t, int ATS, int DTS)`
`TupleXJoin(TupleXJoin t)`

Method Summary
`int` | `getArrivalTimestamp()`
`int` | `getDepartureTimestamp()`
`boolean` | `read(java.io.BufferedInputStream in)`
`void` | `setArrivalTimestamp(int TS)`
`void` | `setDepartureTimestamp(int TS)`
`java.lang.String` | `toString()`
`void` | `write(java.io.BufferedOutputStream out)`

Methods inherited from class unity.relational.Tuple
`addField, filterValues, getInt, getObject, getRelation, getString, getValues, getValuesCopy, isNull, numValues, read, readText, setValue, setValues, write, writeText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TupleXJoin

    public TupleXJoin(Relation r)

### TupleXJoin

    public TupleXJoin(java.lang.Object[] vals,
                      Relation r,
                      int TS)

### TupleXJoin

    public TupleXJoin(Tuple t,
                      int ATS,
                      int DTS)

### TupleXJoin

    public TupleXJoin(TupleXJoin t)

Method Detail

### getArrivalTimestamp

    public int getArrivalTimestamp()

### setArrivalTimestamp

    public void setArrivalTimestamp(int TS)

### getDepartureTimestamp

    public int getDepartureTimestamp()

### setDepartureTimestamp

    public void setDepartureTimestamp(int TS)

### read

    public boolean read(java.io.BufferedInputStream in)
                 throws java.io.IOException

  Overrides:
    `read` in class `Tuple`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.BufferedOutputStream out)
               throws java.io.IOException

  Overrides:
    `write` in class `Tuple`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Tuple`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD